org.apache.mina.transport.vmpipe

## Class VmPipeAddress

- java.lang.Object
- - java.net.SocketAddress
  - - org.apache.mina.transport.vmpipe.VmPipeAddress

- All Implemented Interfaces:
    Serializable, Comparable<VmPipeAddress>

      public class VmPipeAddress
      extends SocketAddress
      implements Comparable<VmPipeAddress>

  A `SocketAddress` which represents in-VM pipe port number.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VmPipeAddress(int port)` Creates a new instance with the specifid port number.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(VmPipeAddress o)`
    `boolean` | `equals(Object o)`
    `int` | `getPort()` Returns the port number.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VmPipeAddress

          public VmPipeAddress(int port)

      Creates a new instance with the specifid port number.

  - ### Method Detail

    - #### getPort

          public int getPort()

      Returns the port number.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo(VmPipeAddress o)

      Specified by:
        `compareTo` in interface `Comparable<VmPipeAddress>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.